Page MenuHomePhabricator

Provide a richer "Revisions/Commits" UI in Maniphest
Closed, ResolvedPublic

Description

See PHI1508. Currently, commits and revisions on tasks are rendered in a slightly-enriched list view:

It might be nice to render these in a richer tabular format, somewhat similar to the task graph.

(The request in PHI1508 is narrowly about including repository information, specifically, but I suspect this UI can be broadly improved.)

Event Timeline

epriestley triaged this task as Low priority.Oct 31 2019, 5:05 PM
epriestley created this task.
epriestley renamed this task from Provide a richer "Changes" UI in Maniphest to Provide a richer "Revisions/Commits" UI in Maniphest.Nov 1 2019, 4:35 PM

Layout looks very neat but a strange too with that big space gap between the icon on each row and the actual text in this case:

The empty space means "this is a normal commit with no special audit state", and the column collapses if no commits have issues (see this task for an example). That seems fairly reasonable to me?

I could put a grey "(No Audit Concerns)" in every row, but that doesn't seem very useful.

I could just use an icon (instead of a full tag with a text label) but I generally don't like that UI pattern very much and would like to move away from unlabeled / hover-to-understand icons in the UI where there isn't a very strong reason for an interface to work like that.

I could put a grey "(No Audit Concerns)" tag in every row, then remove them all if no row has a different status, I suppose.

Does this still strike you as weird after you've had some time to get used to it?

It wasn't a major UI issue to start with and yes, you get used to it. I would ignore.

epriestley closed this task as Resolved.Jan 30 2020, 8:16 PM

Sounds good. It felt slightly odd to me at first, too, but I think I also got used to it.

I think Diffusion is going to get a similar treatment at some point, so maybe I'll revisit the UI then if there's some opportunity to adjust this in order to make the UIs more consistent or whatever.